Project

General

Profile

Bug #3034

icedove: XPCOMGlueLoad error for file /usr/lib/icedove/libxul.so

avalos - 5 months ago - . Updated 5 months ago.

Status:
unconfirmed
Priority:
bug
Assignee:
-
% Done:

0%


Description

Hello! Whenever I try to run icedove, this error pops up immediately:

XPCOMGlueLoad error for file /usr/lib/icedove/libxul.so:
libicui18n.so.67: cannot open shared object file: No such file or directory
Couldn't load XPCOM.

Related issues

Related to Packages - Bug #2958: [libre/icedove-extension-enigmail] Not compatible with latest [gnupg]in progress

Actions

History

#1

Updated by avalos 5 months ago

I did run pacman -Syu before installing Icedove. I'm running the latest version available on the repo. Here's the output of the uname -a command:

Linux thinkpad 5.10.27-gnu-1-lts #1 SMP Mon, 05 Apr 2021 03:46:19 +0000 x86_64 GNU/Linux
#2

Updated by bill-auger 5 months ago

anything broken with icedove v68 is probably not going to be fixed - icedove-78.9.1 is in [libre-testing] - please try that package and report any problems

#3

Updated by bill-auger 5 months ago

  • Related to Bug #2958: [libre/icedove-extension-enigmail] Not compatible with latest [gnupg] added
#4

Updated by avalos 5 months ago

Wouldn't enabling the [libre-testing] repository cause all my system to upgrade to testing? Or can I install only the packages I want from libre-testing selectively? Sorry for the noob question, this is my first time using any Arch-based system.

#5

Updated by bill-auger 5 months ago

those statements are both true - to install a single package:

  1. pacman -U https://www.parabola.nu/packages/libre-testing/x86_64/icedove/download/

... where the URL is from the "Download from Mirror" link on the
packages website

https://www.parabola.nu/packages/libre-testing/x86_64/icedove/

Also available in: Atom PDF